---
name: 💪 Resource Request
about: I have a suggestion for a new resource in Chef (and may want to implement it 🙌)!
labels: "Status: Untriaged"
---

### Core Chef Resource Checklist

Before suggesting a resource for inclusion please make sure your suggestion meets these criteria for resources built into Chef:
 - [ ] Automates an operating system component that ships by default on systems such as authentication, raid, disk partitions, firewalls, containers, or virtualization systems.
 - [ ] Does not attempt automate 3rd party applications such as database, web, or application servers, which are best suited for cookbooks due to their fast moving nature.

### Describe the resource:
<!---  Tell us about the resource -->

### Why should this be included out of the box?:
<!---  Why do you believe this is best suited to be included in the chef-client vs. a cookbook? -->

### What operating systems would it run on?
<!---  Is this a general purpose resource that would run on every operating systems or is it specific to an OS such as Linux, macOS, or Windows? -->

### Current cookbook implementation:
<!--- Is there currently a cookbook that ships with this resource? If so please let us know. We'll need full permission from the authors and a compatible license in order to move a resource from a cookbook. -->

### Can We Help You Implement This?:
<!---  The best way to move a resource into Chef is to help move it yourself. If you're interested in helping out we'd love to give you a hand to make this possible. Let us know if there's something you need. -->
